﻿<!DOCTYPE html>
<html>

<head>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
    <meta content="utf-8" http-equiv="encoding">
    <style>
        body {
            height: 100%;
            margin: 0;
            width: 100%;
            overflow: hidden;
        }

        #graphiql {
            height: 100vh;
        }
    </style>

    <script src="https://cdn.jsdelivr.net/npm/react@16.13.1/umd/react.production.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/react-dom@16.13.1/umd/react-dom.production.min.js"></script>

    <link href="https://unpkg.com/graphiql/graphiql.min.css" rel="stylesheet" />
    <script crossorigin src="https://unpkg.com/graphiql/graphiql.min.js"></script>
</head>

<body>
<div id="graphiql">Loading...</div>
<script>
    const graphQLFetcher = graphQLParams =>
        fetch('/api/query', {
            method: 'post',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(graphQLParams),
        })
            .then(response => response.json())
            .catch(() => response.text());
    ReactDOM.render(
        React.createElement(GraphiQL, { fetcher: graphQLFetcher }),
        document.getElementById('graphiql'),
    );
</script>
</body>

</html>